package cn.kdan.compdf.feign.fallback;

import cn.kdan.compdf.base.R;
import cn.kdan.compdf.dto.LoginUser;
import cn.kdan.compdf.dto.LoginUserDTO;
import cn.kdan.compdf.feign.UserFeign;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Service;

/**
 * @author ComPDFKit-WPH 2023/1/2
 */
@Service
public class UserFeignFallBackFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable throwable) {
        return new UserFeign(){

            @Override
            public R<LoginUserDTO> getUserInfo(LoginUser loginUser) {

                return R.error();
            }

            @Override
            public R<LoginUserDTO> creatUser(LoginUser loginUser) {
                return R.error();
            }
        };

    }
}
