package cn.kdan.compdf.dto;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;

/**
 * @author ComPDFKit-WPH 2023/5/18
 */
@Data
@ToString
public class BillSendEmailDTO {

    @NotEmpty(message = "订单id不能为空")
    private Integer orderId;
    @NotEmpty(message = "email不能为空")
    private String email;
    /**
     * true:中文 false:英文
     */
    private Boolean isCN;

}
