package cn.kdan.compdf.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Bob 2022-10-18
 */
@Data
public class EditProjectDTO {

    /**
     * project主键id
     */
    @NotNull(message = "id cannot be blank.")
    private Long id;
    /**
     * 项目名称
     */
    @NotEmpty(message = "Project name cannot be blank.")
    private String projectName;

}
