package cn.kdan.compdf.dto;

import lombok.Data;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/**
 * @author Bob 2022-10-17
 */
@Data
public class LoginDTO {

    /**
     * 用户名（登录名：邮箱）
     */
    @NotEmpty(message = "Email cannot be blank.")
    private String username;

    /**
     * 密码
     */
    @NotEmpty(message = "Password cannot be blank.")
    private String password;

}
