package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_event")
public class BackgroundEvent extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 事件类型：1task.start、2task.finish、3task.overdue、4file.start、5file.success、6file.failed
     */
    private Integer triggerEvent;
    /**
     * 事件名
     */
    private String eventName;
    /**
     * 状态0已删除1正常
     */
    private Integer status;

}
