package cn.kdan.compdf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023-05-12
 */
@Data
@TableName("users")
public class Users{

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 用户全名
     */
    private String fullName;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 用户标识：1=正常注册 2=新增订单 3=新增授权码
     */
    private Integer flag;
    /**
     * 用户类型 1：免费用户 2：试用用户 3：saas用户 4：SDK用户 5：saas和SDK用户 6:SaaS试用用户
     */
    private Integer type;
    /**
     * 密码
     */
    private String password;
    /**
     * 订单数量
     */
    private Integer orderNum;
    /**
     * 消费金额
     */
    private BigDecimal orderAmount;
    /**
     * 登录次数
     */
    private Integer loginTimes;
    /**
     * 1:SDK 2:SaaS
     */
    private Integer source;
    /**
     * 1:没有验证 2:通过验证
     */
    private Integer isVerify;
    /**
     * 
     */
    private Date createdAt;
    /**
     * 
     */
    private Date updatedAt;
    /**
     * 
     */
    private String user;
    /**
     * 
     */
    private Long currentConnections;
    /**
     * 
     */
    private Long totalConnections;

}
