package cn.kdan.compdf.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Bob 2022-10-19
 */
@Data
public class BackgroundUserWebhookVO {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 关联用户项目主键id
     */
    private Long projectId;
    /**
     * 接收服务端请求的回调地址
     */
    private String url;
    /**
     * 回调token
     */
    private String secretToken;
    /**
     * 状态0已删除1正常
     */
    private Integer status;
    /**
     * 上一次发送请求的时间
     */
    private String responseTime;

    /**
     * Events
     */
    private List<String> events;

}
