package cn.kdan.compdf.vo;

import lombok.Data;
import lombok.ToString;

import java.time.LocalDate;

/**
 * @author ComPDFKit-WPH 2023/6/25
 * <p>
 * 账单
 */
@Data
@ToString
public class BillVO {

    /**
     * 1 订阅，2 package，3 free
     */
    private Integer assetType;
    /**
     * 总数
     */
    private Integer totalFiles;

    private LocalDate startDate;

    private LocalDate endDate;

    /**
     * 周期 1：月  2：年
     */
    private Integer cycle;



}
