package cn.kdan.compdf.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @author ComPDFKit-WPH 2024/1/29
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class BillingInfoVO extends UserBillingInfoVO {

    private String startDateAndEndDate;

    private String paymentCycle;

    private String gearLevel;

    private String price;

    private String totalExcludingTax;

    private String total;

    private String billNo;

    private String invoiceDate;

    public BillingInfoVO(UserBillingInfoVO userBillingInfoVO) {
        this.setEmail(userBillingInfoVO.getEmail());
        this.setUserId(userBillingInfoVO.getUserId());
        this.setFirstName(userBillingInfoVO.getFirstName());
        this.setLastName(userBillingInfoVO.getLastName());
        this.setCompany(userBillingInfoVO.getCompany());
        this.setAddress(userBillingInfoVO.getAddress());
        this.setCountry(userBillingInfoVO.getCountry());
        this.setProvince(userBillingInfoVO.getProvince());
        this.setZip(userBillingInfoVO.getZip());
    }

}
