package cn.kdan.compdf.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Bob 2022-10-11
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoginUserDTO {

    /**
     * 用户主键id or ComPDFKit-ID
     */
    private Long id;

    private Integer usersId;
    /**
     * 用户名（公司名称）
     */
    private String fullName;

    /**
     * 用户名（登录名：邮箱）
     */
    private String username;

    /**
     * 企业id
     */
    private Long tenantId;
}
