package cn.kdan.compdf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023-05-15
 */
@Data
@TableName("user_billing_information")
public class UserBillingInformation{

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 用户id
     */
    private Integer userId;
    /**
     * 用户名
     */
    private String firstName;
    /**
     * 用户姓
     */
    private String lastName;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 公司
     */
    private String company;
    /**
     * 国家
     */
    private String country;
    /**
     * 用户电话
     */
    private String phoneNumber;
    /**
     * 省份/区
     */
    private String province;
    /**
     * 城市
     */
    private String city;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 邮编
     */
    private String zip;
    /**
     * 创建时间
     */
    private Date createdAt;
    /**
     * 更新时间
     */
    private Date updatedAt;

}
