package cn.kdan.compdf.vo;

import lombok.Data;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2023/5/16
 */
@ToString
@Data
public class OrderBillVo {

    private Integer id;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 订单总金额
     */
    private BigDecimal price;
    /**
     * 发票编号
     */
    private String billNo;
    /**
     * 发票下载地址
     */
    private String billUrl;

}
